Remove Qt 4 from the archive

Bug #1757320 reported by Simon Quigley on 2018-03-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Medium
Unassigned

Bug Description

Currently Qt 4 has been dead upstream and we are starting to have
problems maintaining it, like for example in the OpenSSL 1.1 support case.

Following in the footsteps of Debian[1], all packages directly or
indirectly depending on qt4-x11 must either get ported to Qt 5 and
uploaded to the development release or get removed (by means of demotion
to -proposed or the whole source package removal) before the 19.04
release. If it is possible to do this by the 18.10 release, please do so.

No new packages entering the Ubuntu archive should depend on qt4-x11 or
any package which directly or indirectly depends on it.

[1] https://wiki.debian.org/Qt4Removal

Simon Quigley (tsimonq2) on 2018-03-21
description: updated
Simon Quigley (tsimonq2) on 2018-03-21
description: updated
Changed in youker-assistant (Ubuntu):
status: New → Confirmed
Changed in ubuntukylin-meta (Ubuntu):
status: New → Confirmed
Simon Quigley (tsimonq2) on 2018-03-21
Changed in kdesudo (Ubuntu):
status: New → Confirmed

kdesudo can be removed from the archive as soon as my merged
ubuntu-release-upgrader change has been uploaded and has migrated.

$ reverse-depends src:kdesudo
Reverse-Depends
===============
* ubuntu-release-upgrader-qt (for kdesudo)

$ reverse-depends -b src:kdesudo
No reverse dependencies found

Olivier Tilloy (osomon) on 2018-03-21
Changed in libreoffice (Ubuntu):
status: New → Confirmed
Download full text (79.1 KiB)

ubuntu/fmit has been ported to Qt5 a while ago. Just need to use the last
version from github.

On Wed, Mar 21, 2018 at 4:13 AM, Simon Quigley <email address hidden> wrote:

> Public bug reported:
>
> Currently Qt 4 has been dead upstream and we are starting to have
> problems maintaining it, like for example in the OpenSSL 1.1 support case.
>
> Following in the footsteps of Debian[1], all packages directly or
> indirectly depending on qt4-x11 must either get ported to Qt 5 and
> uploaded to the development release or get removed (by means of demotion
> to -proposed or the whole source package removal) before the 19.04
> release. If it is possible to do this by the 18.10 release, please do so.
>
> No new packages entering the Ubuntu archive should depend on qt4-x11 or
> any package which directly or indirectly depends on it.
>
> [1] https://wiki.debian.org/Qt4Removal
>
> affects ubuntu/acoustid-fingerprinter
> importance medium
> affects ubuntu/adwaita-qt
> importance medium
> affects ubuntu/akonadi4
> importance medium
> affects ubuntu/alsoft-conf
> importance medium
> affects ubuntu/alt-key
> importance medium
> affects ubuntu/amarok
> importance medium
> affects ubuntu/amora-server
> importance medium
> affects ubuntu/ams
> importance medium
> affects ubuntu/analitza4
> importance medium
> affects ubuntu/appmenu-qt
> importance medium
> affects ubuntu/aseba
> importance medium
> affects ubuntu/attal
> importance medium
> affects ubuntu/attica
> importance medium
> affects ubuntu/auralquiz
> importance medium
> affects ubuntu/automoc
> importance medium
> affects ubuntu/autopilot-qt
> importance medium
> affects ubuntu/avogadro
> importance medium
> affects ubuntu/bacula
> importance medium
> affects ubuntu/ball
> importance medium
> affects ubuntu/baloo
> importance medium
> affects ubuntu/basket
> importance medium
> affects ubuntu/boats
> importance medium
> affects ubuntu/bodega-client
> importance medium
> affects ubuntu/bppphyview
> importance medium
> affects ubuntu/breeze
> importance medium
> affects ubuntu/cagibi
> importance medium
> affects ubuntu/cdcat
> importance medium
> affects ubuntu/chinese-calendar
> importance medium
> affects ubuntu/choreonoid
> importance medium
> affects ubuntu/clementine
> importance medium
> affects ubuntu/cmtk
> importance medium
> affects ubuntu/codelite
> importance medium
> affects ubuntu/codequery
> importance medium
> affects ubuntu/collatinus
> importance medium
> affects ubuntu/colord-kde
> importance medium
> affects ubuntu/connectome-workbench
> importance medium
> affects ubuntu/cortina
> importance medium
> affects ubuntu/cppreference-doc
> importance medium
> affects ubuntu/daemonfs
> importance medium
> affects ubuntu/dc-qt
> importance medium
> affects ubuntu/dee-qt
> importance medium
> affects ubuntu/dgedit
> importance medium
> affects ubuntu/dhcpcd-ui
> importance medium
> affects ubuntu/doomsday
> importance medium
> affects ubuntu/dssi
> importance medium
> affects ubuntu/enki-aseba
> importance medium
> affects ubuntu/eqonomize
> importance medium
> affects ubuntu/esperanza
> importa...

William Grant (wgrant) on 2018-03-21
no longer affects: adwaita-qt (Ubuntu)
no longer affects: akonadi4 (Ubuntu)
no longer affects: alsoft-conf (Ubuntu)
no longer affects: alt-key (Ubuntu)
no longer affects: amarok (Ubuntu)
no longer affects: amora-server (Ubuntu)
no longer affects: ams (Ubuntu)
no longer affects: analitza4 (Ubuntu)
no longer affects: appmenu-qt (Ubuntu)
no longer affects: aseba (Ubuntu)
no longer affects: attal (Ubuntu)
no longer affects: attica (Ubuntu)
no longer affects: auralquiz (Ubuntu)
no longer affects: automoc (Ubuntu)
no longer affects: autopilot-qt (Ubuntu)
no longer affects: avogadro (Ubuntu)
no longer affects: bacula (Ubuntu)
no longer affects: ball (Ubuntu)
no longer affects: baloo (Ubuntu)
no longer affects: basket (Ubuntu)
no longer affects: boats (Ubuntu)
no longer affects: bodega-client (Ubuntu)
no longer affects: bppphyview (Ubuntu)
no longer affects: breeze (Ubuntu)
no longer affects: cagibi (Ubuntu)
no longer affects: cdcat (Ubuntu)
no longer affects: chinese-calendar (Ubuntu)
no longer affects: choreonoid (Ubuntu)
no longer affects: clementine (Ubuntu)
no longer affects: cmtk (Ubuntu)
no longer affects: codelite (Ubuntu)
no longer affects: codequery (Ubuntu)
no longer affects: collatinus (Ubuntu)
no longer affects: colord-kde (Ubuntu)
no longer affects: connectome-workbench (Ubuntu)
no longer affects: cortina (Ubuntu)
no longer affects: cppreference-doc (Ubuntu)
no longer affects: daemonfs (Ubuntu)
no longer affects: dc-qt (Ubuntu)
no longer affects: dee-qt (Ubuntu)
no longer affects: dgedit (Ubuntu)
no longer affects: dhcpcd-ui (Ubuntu)
no longer affects: doomsday (Ubuntu)
no longer affects: dssi (Ubuntu)
no longer affects: enki-aseba (Ubuntu)
no longer affects: eqonomize (Ubuntu)
no longer affects: esperanza (Ubuntu)
no longer affects: fbreader (Ubuntu)
no longer affects: fcitx (Ubuntu)
no longer affects: fcitx-kkc (Ubuntu)
no longer affects: felix-latin (Ubuntu)
no longer affects: flightcrew (Ubuntu)
no longer affects: fmit (Ubuntu)
no longer affects: fraqtive (Ubuntu)
no longer affects: freecad (Ubuntu)
no longer affects: freemat (Ubuntu)
no longer affects: freemedforms-project (Ubuntu)
no longer affects: freeplayer (Ubuntu)
no longer affects: gammaray (Ubuntu)
no longer affects: gebabbel (Ubuntu)
no longer affects: genpo (Ubuntu)
no longer affects: gle-graphics (Ubuntu)
no longer affects: gmic (Ubuntu)
no longer affects: gnash (Ubuntu)
no longer affects: gnudoq (Ubuntu)
no longer affects: gr-fosphor (Ubuntu)
no longer affects: gr-radar (Ubuntu)
no longer affects: grantlee (Ubuntu)
no longer affects: gwenrename (Ubuntu)
no longer affects: hamfax (Ubuntu)
no longer affects: hedgewars (Ubuntu)
no longer affects: heimdall-flash (Ubuntu)
no longer affects: holdingnuts (Ubuntu)
no longer affects: hydrogen (Ubuntu)
no longer affects: ibus-qt (Ubuntu)
no longer affects: ifpgui (Ubuntu)
no longer affects: ifrit (Ubuntu)
no longer affects: ike (Ubuntu)
no longer affects: imagevis3d (Ubuntu)
no longer affects: jovie (Ubuntu)
no longer affects: jreen (Ubuntu)
no longer affects: kaccessible (Ubuntu)
no longer affects: kactivities (Ubuntu)
no longer affects: kalternatives (Ubuntu)
no longer affects: kamerka (Ubuntu)
no longer affects: karlyriceditor (Ubuntu)
no longer affects: kate4 (Ubuntu)
no longer affects: kchmviewer (Ubuntu)
no longer affects: kcm-qt-graphicssystem (Ubuntu)
no longer affects: kcollectd (Ubuntu)
no longer affects: kdbg (Ubuntu)
no longer affects: kde-baseapps (Ubuntu)
no longer affects: kde-runtime (Ubuntu)
no longer affects: kde-thumbnailer-openoffice (Ubuntu)
no longer affects: kde4libs (Ubuntu)
no longer affects: kde4pimlibs (Ubuntu)
no longer affects: kdepim4 (Ubuntu)
no longer affects: kdesudo (Ubuntu)
no longer affects: kdiff3 (Ubuntu)
no longer affects: kdoctools (Ubuntu)
no longer affects: keepassx (Ubuntu)
no longer affects: kepas (Ubuntu)
no longer affects: keurocalc (Ubuntu)
no longer affects: kffmpegthumbnailer (Ubuntu)
no longer affects: kfilemetadata (Ubuntu)
no longer affects: kfilereplace (Ubuntu)
no longer affects: kfritz (Ubuntu)
no longer affects: kgmailnotifier (Ubuntu)
no longer affects: kgrab (Ubuntu)
no longer affects: kgraphviewer (Ubuntu)
no longer affects: kiconedit (Ubuntu)
William Grant (wgrant) on 2018-03-21
no longer affects: kingston-update-notifier (Ubuntu)
no longer affects: kitsune (Ubuntu)
no longer affects: klinkstatus (Ubuntu)
no longer affects: kmetronome (Ubuntu)
no longer affects: kmidimon (Ubuntu)
no longer affects: kmldonkey (Ubuntu)
no longer affects: knights (Ubuntu)
no longer affects: knutclient (Ubuntu)
no longer affects: kommander (Ubuntu)
no longer affects: komparator (Ubuntu)
no longer affects: konqueror (Ubuntu)
no longer affects: kontrolpack (Ubuntu)
no longer affects: kopete (Ubuntu)
no longer affects: kopete-message-indicator (Ubuntu)
no longer affects: kopete-plugin-thinklight (Ubuntu)
no longer affects: kover (Ubuntu)
no longer affects: kpartsplugin (Ubuntu)
no longer affects: kppp (Ubuntu)
no longer affects: kprinter4 (Ubuntu)
no longer affects: kqoauth (Ubuntu)
no longer affects: kradio4 (Ubuntu)
no longer affects: krecipes (Ubuntu)
no longer affects: kredentials (Ubuntu)
no longer affects: kremotecontrol (Ubuntu)
no longer affects: ksaneplugin (Ubuntu)
no longer affects: kscd (Ubuntu)
no longer affects: kvpnc (Ubuntu)
no longer affects: kxstitch (Ubuntu)
no longer affects: launchy (Ubuntu)
no longer affects: lemonpos (Ubuntu)
no longer affects: lfhex (Ubuntu)
no longer affects: libalkimia (Ubuntu)
no longer affects: libbpp-qt (Ubuntu)
no longer affects: libdbusmenu-qt (Ubuntu)
no longer affects: libdrumstick (Ubuntu)
no longer affects: libgwenhywfar (Ubuntu)
no longer affects: libindicate-qt (Ubuntu)
no longer affects: libjdns (Ubuntu)
no longer affects: libkdegames-kde4 (Ubuntu)
no longer affects: libksane (Ubuntu)
no longer affects: liblastfm (Ubuntu)
no longer affects: libmygpo-qt (Ubuntu)
no longer affects: libqaccessibilityclient (Ubuntu)
no longer affects: libqglviewer (Ubuntu)
no longer affects: libqtbamf (Ubuntu)
no longer affects: libqtdee (Ubuntu)
no longer affects: libqtgconf (Ubuntu)
no longer affects: libquazip (Ubuntu)
no longer affects: libqxt (Ubuntu)
no longer affects: libreoffice (Ubuntu)
no longer affects: lightdm (Ubuntu)
no longer affects: linguider (Ubuntu)
no longer affects: linkchecker (Ubuntu)
no longer affects: livemix (Ubuntu)
no longer affects: lmms (Ubuntu)
no longer affects: maliit-plugins (Ubuntu)
no longer affects: mangonel (Ubuntu)
no longer affects: mcrl2 (Ubuntu)
no longer affects: meshlab (Ubuntu)
no longer affects: midisnoop (Ubuntu)
no longer affects: mm3d (Ubuntu)
no longer affects: mp3diags (Ubuntu)
no longer affects: mumble (Ubuntu)
no longer affects: muse (Ubuntu)
no longer affects: musique (Ubuntu)
no longer affects: mustang-plug (Ubuntu)
no longer affects: netanim (Ubuntu)
no longer affects: noblenote (Ubuntu)
no longer affects: nomnom (Ubuntu)
no longer affects: ntrack (Ubuntu)
no longer affects: nzb (Ubuntu)
no longer affects: octomap (Ubuntu)
no longer affects: ofono-phonesim (Ubuntu)
no longer affects: openambit (Ubuntu)
no longer affects: openimageio (Ubuntu)
no longer affects: openpref (Ubuntu)
no longer affects: openscenegraph (Ubuntu)
no longer affects: ostinato (Ubuntu)
no longer affects: otb (Ubuntu)
no longer affects: oxygen (Ubuntu)
no longer affects: paraview (Ubuntu)
no longer affects: perlqt (Ubuntu)
no longer affects: phonon (Ubuntu)
no longer affects: phonon-backend-gstreamer (Ubuntu)
no longer affects: phonon-backend-vlc (Ubuntu)
no longer affects: pianobooster (Ubuntu)
no longer affects: pinentry-x2go (Ubuntu)
no longer affects: plasma-runner-kopete (Ubuntu)
no longer affects: plasma-widget-activitymanager (Ubuntu)
no longer affects: plasma-widget-bkodama (Ubuntu)
no longer affects: plasma-widget-cpuload (Ubuntu)
no longer affects: plasma-widget-drop2ftp (Ubuntu)
no longer affects: plasma-widget-flickr (Ubuntu)
no longer affects: plasma-widget-fortunoid (Ubuntu)
no longer affects: plasma-widget-kbstate (Ubuntu)
no longer affects: plasma-widget-lastmoid (Ubuntu)
no longer affects: plasma-widget-makestatus (Ubuntu)
no longer affects: plasma-widget-memusage (Ubuntu)
no longer affects: plasma-widget-nextwallpaper (Ubuntu)
no longer affects: plasma-widget-pgame (Ubuntu)
no longer affects: plasma-widget-redshift (Ubuntu)
no longer affects: plasma-widget-searchmoid (Ubuntu)
no longer affects: plasma-widget-simplemonitor (Ubuntu)
no longer affects: plasma-widget-stockquote (Ubuntu)
no longer affects: plasma-widget-teacooker (Ubuntu)
no longer affects: plasma-widget-tictactoe (Ubuntu)
no longer affects: plasma-widget-tvprogramme (Ubuntu)
no longer affects: plasma-widget-weatherforecast (Ubuntu)
no longer affects: plasma-widget-wifi (Ubuntu)
no longer affects: polkit-qt-1 (Ubuntu)
no longer affects: populations (Ubuntu)
no longer affects: portabase (Ubuntu)
no longer affects: prison (Ubuntu)
no longer affects: projectm (Ubuntu)
no longer affects: promoe (Ubuntu)
no longer affects: pyqwt5 (Ubuntu)
no longer affects: pyside (Ubuntu)
no longer affects: pyside-tools (Ubuntu)
no longer affects: python-qt4 (Ubuntu)
no longer affects: qarecord (Ubuntu)
no longer affects: qca2 (Ubuntu)
no longer affects: qchat (Ubuntu)
no longer affects: qdevelop (Ubuntu)
no longer affects: qemuctl (Ubuntu)
no longer affects: qgis (Ubuntu)
no longer affects: qimageblitz (Ubuntu)
no longer affects: qjoypad (Ubuntu)
no longer affects: qjson (Ubuntu)
no longer affects: qliss3d (Ubuntu)
no longer affects: qlix (Ubuntu)
no longer affects: qmpdclient (Ubuntu)
no longer affects: qpxtool (Ubuntu)
no longer affects: qrfcview (Ubuntu)
no longer affects: qsapecng (Ubuntu)
no longer affects: qscintilla2 (Ubuntu)
no longer affects: qsource-highlight (Ubuntu)
no longer affects: qt-assistant-compat (Ubuntu)
no longer affects: qt-at-spi (Ubuntu)
no longer affects: qt-gstreamer (Ubuntu)
no longer affects: qtads (Ubuntu)
no longer affects: qtcurve (Ubuntu)
no longer affects: qtexengine (Ubuntu)
no longer affects: qtgain (Ubuntu)
no longer affects: qthid-fcd-controller (Ubuntu)
no longer affects: qtiplot (Ubuntu)
no longer affects: qtkeychain (Ubuntu)
no longer affects: qtm (Ubuntu)
no longer affects: qtscriptgenerator (Ubuntu)
no longer affects: qtsmbstatus (Ubuntu)
no longer affects: qtwebkit-source (Ubuntu)
no longer affects: qtweetlib (Ubuntu)
no longer affects: qutim (Ubuntu)
no longer affects: qwbfsmanager (Ubuntu)
no longer affects: qwt (Ubuntu)
no longer affects: qwt5 (Ubuntu)
no longer affects: qwtplot3d (Ubuntu)
no longer affects: qxmlrpc (Ubuntu)
no longer affects: radium-compressor (Ubuntu)
no longer affects: rekonq (Ubuntu)
no longer affects: rkward (Ubuntu)
no longer affects: rlplot (Ubuntu)
no longer affects: robojournal (Ubuntu)
no longer affects: rsplib (Ubuntu)
no longer affects: scantailor (Ubuntu)
no longer affects: scap-workbench (Ubuntu)
no longer affects: scidavis (Ubuntu)
no longer affects: scim (Ubuntu)
no longer affects: screenie-qt (Ubuntu)
no longer affects: scribus (Ubuntu)
no longer affects: semantik (Ubuntu)
no longer affects: shelxle (Ubuntu)
no longer affects: shiboken (Ubuntu)
no longer affects: sigviewer (Ubuntu)
no longer affects: smokegen (Ubuntu)
no longer affects: smokeqt (Ubuntu)
no longer affects: smpq (Ubuntu)
no longer affects: sni-qt (Ubuntu)
no longer affects: sofa-framework (Ubuntu)
no longer affects: soprano (Ubuntu)
no longer affects: soqt (Ubuntu)
no longer affects: soundscaperenderer (Ubuntu)
no longer affects: source-highlight-ide (Ubuntu)
no longer affects: source-highlight-qt (Ubuntu)
no longer affects: stretchplayer (Ubuntu)
no longer affects: strigi (Ubuntu)
no longer affects: structure-synth (Ubuntu)
no longer affects: subcommander (Ubuntu)
no longer affects: syncevolution (Ubuntu)
no longer affects: synergy (Ubuntu)
no longer affects: tagainijisho (Ubuntu)
no longer affects: taurus (Ubuntu)
William Grant (wgrant) on 2018-03-21
no longer affects: telepathy-qt (Ubuntu)
no longer affects: tetzle (Ubuntu)
no longer affects: tipp10 (Ubuntu)
no longer affects: tora (Ubuntu)
no longer affects: touchegg (Ubuntu)
no longer affects: ttfautohint (Ubuntu)
no longer affects: tuxcards (Ubuntu)
no longer affects: ubuntu-unity-meta (Ubuntu)
no longer affects: ubuntukylin-meta (Ubuntu)
no longer affects: udj-desktop-client (Ubuntu)
no longer affects: ufw-kde (Ubuntu)
no longer affects: universalindentgui (Ubuntu)
no longer affects: unixodbc-gui-qt (Ubuntu)
no longer affects: v4l2ucp (Ubuntu)
no longer affects: valkyrie (Ubuntu)
no longer affects: veusz (Ubuntu)
no longer affects: viva (Ubuntu)
no longer affects: vmpk (Ubuntu)
no longer affects: voxbo (Ubuntu)
no longer affects: wally (Ubuntu)
no longer affects: wsjtx (Ubuntu)
no longer affects: x2goclient (Ubuntu)
no longer affects: xflr5 (Ubuntu)
no longer affects: yabause (Ubuntu)
no longer affects: yagf (Ubuntu)
no longer affects: youker-assistant (Ubuntu)
no longer affects: zbar (Ubuntu)
affects: acoustid-fingerprinter (Ubuntu) → qt4-x11 (Ubuntu)
Simon Quigley (tsimonq2) wrote :

Instead of filing one megabug, I filed separate bugs: https://bugs.launchpad.net/ubuntu/+bugs?field.tag=qt4-removal

Thanks.

Simon Quigley (tsimonq2) on 2018-03-22
tags: added: qt4-removal
Cédric Bellegarde (gnumdk) wrote :

This one need to replace current fwbuilder package:
https://github.com/fwbuilder/fwbuilder

Simon Quigley (tsimonq2) on 2018-04-13
Changed in qt4-x11 (Ubuntu):
status: New → Confirmed
empty (ytrezq) wrote :

Sorry, but what about solving Qt4 issues first https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1776717 ?

empty (ytrezq) wrote :

Providing a static archive would allow upward compatibility for future versions of Ubuntu on projects like mine (by providing a distribution independent statically compiled executables)

Simon Quigley (tsimonq2) wrote :

Please don't hijack this bug. We only plan on fixing critical, obvious, user-facing bugs in Qt 4 going forward.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers